Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #240 (closed defect: worksforme)

Opened 14 years ago

Last modified 12 years ago

mips32isa-be build

Reported by: anonymous Assigned to:
Priority: major Milestone:
Component: madwifi: other Version:
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I have been trying to build madwifi for mipsisa32-be. Is it possible I am the first one to do so ?

I ran into two nagging problems - hal/public/mipsisa32-be-elf.inc includes "-isystem ${KERNELPATH}/include" as part of the C flags. This is totally un-needed. Why is it there.

I removed it and was able to progress.

- The bigger problem was hal.o. It seems like this binary was compiled for mips3

and not for mips32. I can't seem to link it.

Change History

05/16/06 03:58:52 changed by dyqith

  • patch_attached changed.

Architecture more info there, if not, please add some, thanks.

07/13/06 11:49:39 changed by gpn.devnull@gmail.com

The change history suggests that there is a patch available, but I am not able to find where the patch. Can anybody point me to the location? I checked the list of commmitted patches and pending patches and couldn't find it there too.

Any help is greatly appreciated.

07/17/07 15:01:40 changed by mtaylor

  • status changed from new to closed.
  • resolution set to worksforme.

This ticket has not been updated in over six months and is being marked as "works for me" automatically.

If the ticket is still applies to the head revision of trunk, please re-open the ticket and provide any additional details needed and progress on the problem to date. Thanks.